/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ColumnDescription } from "./ColumnDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ComboBoxColumnDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ComboBoxColumnDescription, _super);
    function ComboBoxColumnDescription() {
        var _this = _super.call(this) || this;
        _this.fd = null;
        _this.fa = null;
        _this.fe = null;
        _this.ff = null;
        return _this;
    }
    ComboBoxColumnDescription.prototype.get_type = function () {
        return "ComboBoxColumn";
    };
    Object.defineProperty(ComboBoxColumnDescription.prototype, "dataSourceRef", {
        get: function () {
            return this.fd;
        },
        set: function (a) {
            this.fd = a;
            this.e("DataSourceRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ComboBoxColumnDescription.prototype, "dataSource", {
        get: function () {
            return this.fa;
        },
        set: function (a) {
            this.fa = a;
            this.e("DataSource");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ComboBoxColumnDescription.prototype, "textField", {
        get: function () {
            return this.fe;
        },
        set: function (a) {
            this.fe = a;
            this.e("TextField");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ComboBoxColumnDescription.prototype, "valueField", {
        get: function () {
            return this.ff;
        },
        set: function (a) {
            this.ff = a;
            this.e("ValueField");
        },
        enumerable: false,
        configurable: true
    });
    ComboBoxColumnDescription.$t = markType(ComboBoxColumnDescription, 'ComboBoxColumnDescription', ColumnDescription.$);
    ComboBoxColumnDescription.__canMarshalByValue1 = true;
    return ComboBoxColumnDescription;
}(ColumnDescription));
export { ComboBoxColumnDescription };
